# Uses of Class
org.eclipse.swt.events.ControlEvent

Packages that use ControlEvent
Package
Description
org.eclipse.swt.events

## Uses of ControlEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type ControlEvent
Modifier and Type
Method
Description
`void`
ControlAdapter.`controlMoved(ControlEvent e)`
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void`
ControlListener.`controlMoved(ControlEvent e)`
Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void`
ControlAdapter.`controlResized(ControlEvent e)`
Sent when the size (width, height) of a control changes.
`void`
ControlListener.`controlResized(ControlEvent e)`
Sent when the size (width, height) of a control changes.